%define module_name     atl2
%define module_version  1.0.40.2
%define module_release  alt3

%define kversion	2.6.18
%define krelease	alt5.M40.2
%define flavour		xen-domU

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net

Summary: Linux %module_name - Linux* Base Driver for the Attansic(R) L2 Gigabit Ethernet Adapter
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132626.5.M40.2
License: GPLv2
Group: System/Kernel and hardware

Patch: attansic_l2_2.6.22.patch

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://support.attansic.com

BuildRequires(pre): rpm-build-kernel

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
This package contains the Linux driver for the Attansic(R) L2 Gigabit Ethernet
Adapter

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
cd src
%if "%kversion" >= "2.6.22"
%patch
%endif
cd ../

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
cd src
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=$PWD EXTRA_CFLAGS="-DDBG=0"
cd ../

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a src/*.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%doc readme *.txt *.7 COPYING
%module_dir

%changelog
* Tue Jun 10 2008 Michail Yakushin <silicium@altlinux.ru> 1.0.40.2-alt3.132626.5.M40.2
- Build for kernel-image-xen-domU-2.6.18-alt5.M40.2.

* Wed Oct 10 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.40.2-alt3
- Fix build on recent (2.6.22+) kernels.

* Sat Aug 11 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.40.2-alt2
- fix description.

* Thu Aug 09 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.40.2-alt1
- initial build for ALTLinux.

